Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMergePoints Class Reference

`#include <vtkMergePoints.h>`

Inheritance diagram for vtkMergePoints:

[legend]
Collaboration diagram for vtkMergePoints:

[legend]
List of all members.

## Detailed Description

merge exactly coincident points

Date:
  2002/10/04 20:43:44

Revision:
  1.43

vtkMergePoints is a locator object to quickly locate points in 3D. The primary difference between vtkMergePoints and its superclass vtkPointLocator is that vtkMergePoints merges precisely coincident points and is therefore much faster.

See also:
  vtkCleanPolyData

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (48%)
  - Miller, Jim (18%)
  - Lorensen, Bill (14%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkMergePoints.h)`
  - .`cxx` (`/Filtering/vtkMergePoints.cxx)`

Tests:
  vtkMergePoints (Tests)

Definition at line 50 of file vtkMergePoints.h.

## Public Types
typedef vtkPointLocator | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | InsertUniquePoint (const float x[3], vtkIdType &ptId)
vtkIdType | IsInsertedPoint (const float x[3])
vtkIdType | IsInsertedPoint (float x, float y, float z)
## Static Public Methods
vtkMergePoints * | New ()
int | IsTypeOf (const char *type)
vtkMergePoints * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMergePoints ()
| ~vtkMergePoints ()

## Member Typedef Documentation

typedef vtkPointLocator vtkMergePoints::Superclass

| Reimplemented from vtkPointLocator. Definition at line 54 of file vtkMergePoints.h.

## Constructor & Destructor Documentation

vtkMergePoints::vtkMergePoints | ( |  | ) | `[inline, protected]`

| Definition at line 75 of file vtkMergePoints.h.

vtkMergePoints::~vtkMergePoints | ( |  | ) | `[inline, protected]`

| Definition at line 76 of file vtkMergePoints.h.

## Member Function Documentation

vtkMergePoints* vtkMergePoints::New | ( |  | ) | `[static]`

| Construct with automatic computation of divisions, averaging 25 points per bucket. Reimplemented from vtkPointLocator.

virtual const char* vtkMergePoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPointLocator.

int vtkMergePoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointLocator.

virtual int vtkMergePoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointLocator.

vtkMergePoints* vtkMergePoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPointLocator.

void vtkMergePoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPointLocator.

vtkIdType vtkMergePoints::IsInsertedPoint | ( | const float | x[3] | ) | `[virtual]`

| Determine whether point given by x[3] has been inserted into points list. Return id of previously inserted point if this is true, otherwise return -1. Reimplemented from vtkPointLocator.

vtkIdType vtkMergePoints::IsInsertedPoint | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Determine whether point given by x[3] has been inserted into points list. Return id of previously inserted point if this is true, otherwise return -1. Reimplemented from vtkPointLocator. Definition at line 62 of file vtkMergePoints.h. References vtkPointLocator::IsInsertedPoint(), and vtkIdType.

int vtkMergePoints::InsertUniquePoint | ( | const float | x[3],
|  | vtkIdType & | ptId
| ) | `[virtual]`

| Determine whether point given by x[3] has been inserted into points list. Return 0 if point was already in the list, otherwise return 1. If the point was not in the list, it will be ADDED. In either case, the id of the point (newly inserted or not) is returned in the ptId argument. Note this combines the functionality of IsInsertedPoint() followed by a call to InsertNextPoint(). Reimplemented from vtkPointLocator.

The documentation for this class was generated from the following file:

- Filtering/vtkMergePoints.h